import { baseRequest } from '@/utils/request'

const request = (url, ...arg) => baseRequest(`/biz/depotUserOnlineLog/` + url, ...arg)

/**
 * 人员签到Api接口管理器
 *
 * @author xiang
 * @date  2023/09/27 19:31
 **/
export default {
	// 获取人员签到分页
	depotUserOnlineLogPage(data) {
		return request('page', data, 'get')
	},
	// 获取人员签到列表
	depotUserOnlineLogList(data) {
		return request('list', data, 'get')
	},
	// 提交人员签到表单 edit为true时为编辑，默认为新增
	depotUserOnlineLogSubmitForm(data, edit = false) {
		return request(edit ? 'add' : 'edit', data)
	},
	// 删除人员签到
	depotUserOnlineLogDelete(data) {
		return request('delete', data)
	},
	// 获取人员签到详情
	depotUserOnlineLogDetail(data) {
		return request('detail', data, 'get')
	}
}
